import * as i0 from '@angular/core';
import { NgModule, Injectable } from '@angular/core';
import { CommonModule } from '@angular/common';
import { getApps, initializeApp } from 'firebase/app';

class FireCommonModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.1.0", ngImport: i0, type: FireCommonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.1.0", ngImport: i0, type: FireCommonModule, imports: [CommonModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.1.0", ngImport: i0, type: FireCommonModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.1.0", ngImport: i0, type: FireCommonModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    providers: [],
                    imports: [
                        CommonModule,
                    ]
                }]
        }] });

class FirebaseConfig {
}
;
;

class FireCommonService {
    constructor() { }
    get firebaseConfig() {
        return this._firebaseConfig;
    }
    set firebaseConfig(v) {
        this._firebaseConfig = v;
    }
    initOrGetFirebaseApp() {
        if (!this._firebaseConfig)
            throw new Error('Firebase config is not initialized. First set this.fireCommonService.firebaseConfig with config');
        const firebaseApps = getApps();
        const firebaseApp = firebaseApps.length ?
            firebaseApps[0] :
            initializeApp(this._firebaseConfig.app);
        return firebaseApp;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.1.0", ngImport: i0, type: FireCommonService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.1.0", ngImport: i0, type: FireCommonService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.1.0", ngImport: i0, type: FireCommonService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

// Export all exposable angular assets from ./src folder, like components, services, pipes, directives etc.

/**
 * Generated bundle index. Do not edit.
 */

export { FireCommonModule, FireCommonService, FirebaseConfig };
//# sourceMappingURL=annuadvent-ngx-tools-fire-common.mjs.map
