import { EventEmitter, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { FireAuthService } from '../../services/fire-auth.service';
import * as i0 from "@angular/core";
export declare class LoginStatusComponent implements OnInit {
    private fireAuthService;
    private router;
    loginPageUrl: string;
    profilePageUrl: string;
    loggedOutPageUrl: string;
    theme: string;
    signInClicked: EventEmitter<void>;
    signOutClicked: EventEmitter<void>;
    profileClicked: EventEmitter<void>;
    user: any;
    loading: boolean;
    userIcon: string;
    constructor(fireAuthService: FireAuthService, router: Router);
    ngOnInit(): void;
    private logout;
    loggedInProfileClicked(event: any): void;
    loginClicked(event: any): void;
    logoutClicked(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginStatusComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginStatusComponent, "anu-login-status", never, { "loginPageUrl": { "alias": "loginPageUrl"; "required": false; }; "profilePageUrl": { "alias": "profilePageUrl"; "required": false; }; "loggedOutPageUrl": { "alias": "loggedOutPageUrl"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; }, { "signInClicked": "signInClicked"; "signOutClicked": "signOutClicked"; "profileClicked": "profileClicked"; }, never, never, false, never, false>;
}
