import { PageArticles } from './fire-articles.interface';
import { ImageInfo, MetaInfo } from './fire-cms.interface';
export interface Category {
    id?: string;
    shortTitle?: string;
    isFeatured?: boolean;
    metaInfo?: MetaInfo;
    image?: ImageInfo;
    created?: string;
    updated?: string;
    userId?: string;
    isLive?: boolean;
    inReview?: boolean;
    features?: Array<string>;
}
export interface PageCategoryGroup {
    category: Category;
    pageArticles: PageArticles;
}
export interface PageCategories {
    categories: Array<Category>;
    startPage?: any;
    endPage?: any;
    previousPage?: any;
    nextPage?: any;
}
