import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { OpenaiPrompt } from '../../interfaces/openai.interface';
import { OpenaiPromptTypeEnum } from '../../enums/openai.enums';
import * as i0 from "@angular/core";
export declare class OpenaiFormComponent implements OnInit, OnChanges {
    prompts: Array<OpenaiPrompt>;
    selectedPromptText: string;
    showHistory: boolean;
    showPrompts: boolean;
    goClicked: EventEmitter<OpenaiPrompt[]>;
    currentPrompt: string;
    selectedPrompt: OpenaiPrompt | undefined;
    selectedResultType: string;
    promptTypes: {
        key: string;
        value: OpenaiPromptTypeEnum;
    }[];
    selectedPromptType: OpenaiPromptTypeEnum;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    setSelectedPrompt(): void;
    promptListChanged(): void;
    goBtnClick(event: any): void;
    private findPrompt;
    static ɵfac: i0.ɵɵFactoryDeclaration<OpenaiFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OpenaiFormComponent, "anu-openai-form", never, { "prompts": { "alias": "prompts"; "required": false; }; "selectedPromptText": { "alias": "selectedPromptText"; "required": false; }; "showHistory": { "alias": "showHistory"; "required": false; }; "showPrompts": { "alias": "showPrompts"; "required": false; }; }, { "goClicked": "goClicked"; }, never, never, false, never, false>;
}
