import { QueueStatusEnum } from "../enums/queue.enums";
export declare class QueueItem {
    id: string;
    data: any;
    status: QueueStatusEnum;
    startTime: number;
    completedTime: number;
    constructor(idOrQueueItem?: string | QueueItem, data?: any, status?: QueueStatusEnum, startTime?: number, completedTime?: number);
    get timeEllapsed(): number;
    start(): void;
    complete(): void;
    fail(): void;
}
