import { HttpRequest, HttpHandler, HttpEvent, HttpInterceptor } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AppConfigService } from '@annuadvent/ngx-core/app-config';
import { FireAuthService } from '../services/fire-auth.service';
import * as i0 from "@angular/core";
export declare class ApiInterceptor implements HttpInterceptor {
    private appConfigService;
    private fireAuthService;
    constructor(appConfigService: AppConfigService, fireAuthService: FireAuthService);
    intercept(request: HttpRequest<unknown>, next: HttpHandler): Observable<HttpEvent<unknown>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiInterceptor>;
}
