import { StructuredQuery } from '../interfaces/structured-query.interface';
import { FireQuery } from '../interfaces/fire-query.interface';
import { FireCommonService } from '@annuadvent/ngx-tools/fire-common';
import * as i0 from "@angular/core";
export declare class FirestoreQueryService {
    private fireCommonService;
    constructor(fireCommonService: FireCommonService);
    private getSelectFields;
    private getOrderBy;
    private getStartPage;
    private getWhere;
    fireToStructuredQuery(fireQuery: FireQuery): StructuredQuery;
    static ɵfac: i0.ɵɵFactoryDeclaration<FirestoreQueryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FirestoreQueryService>;
}
