import { OpenaiConfigService } from '../../services/openai-config.service';
import { OpenaiConfiguration } from '../../interfaces/openai-http.interface';
import { UtilsService } from '@annuadvent/ngx-core/utils';
import { CodeBlockInfo } from '@annuadvent/ngx-common-ui/code-block';
import { AppConfigService } from '@annuadvent/ngx-core/app-config';
import * as i0 from "@angular/core";
export declare class OpenaiConfigurationComponent {
    private openaiConfigService;
    private appConfigService;
    private utilsService;
    config: OpenaiConfiguration;
    showLoadFromJsonModal: boolean;
    fromJsonConfigStr: string;
    fromJsonErrorMsg: string;
    constructor(openaiConfigService: OpenaiConfigService, appConfigService: AppConfigService, utilsService: UtilsService);
    updateClicked(event: any): void;
    loadDefault(event: any): void;
    loadFromJsonClicked(event: any): void;
    loadFromJsonOkClicked(event: any): void;
    loadFromJsonCancelClicked(event: any): void;
    fromJsonConfigStrChanged(codeBlockInfo: CodeBlockInfo): void;
    getTypeOfKey(value: any): string;
    getObjectKeys(value: any): Array<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<OpenaiConfigurationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OpenaiConfigurationComponent, "anu-openai-configuration", never, {}, {}, never, never, false, never, false>;
}
