import { Observable } from 'rxjs';
import { OpenaiConfiguration } from '../interfaces/openai-http.interface';
import { OpenaiConfig } from '../interfaces/openai.interface';
import * as i0 from "@angular/core";
export declare class OpenaiConfigService {
    private config$;
    constructor();
    get config(): Observable<OpenaiConfiguration>;
    get configValue(): OpenaiConfiguration;
    initOpenai(apiKey: string, organization: string): void;
    mergeKeyConfigWithBaseConfig(baseConfig: OpenaiConfiguration, keyConfig: OpenaiConfig): OpenaiConfiguration;
    getKeyConfig(config: OpenaiConfiguration): OpenaiConfig;
    updateConfig(config: OpenaiConfiguration): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OpenaiConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OpenaiConfigService>;
}
